Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026384
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-04-25 11:172014-09-08 18:35
ReporterAugustoMauchView Statuspublic 
Assigned Toinigosanchez 
PriorityhighResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisiondc8d0777f38d
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026384: The tree grid view is not refreshed after deleting a record

DescriptionWhen a record is deleted in the tree grid view, the record is still displayed until the grid is refreshed.
Steps To ReproduceAs F&B Admin:
- Open the Assets window
- Create an asset named '1'.
- Open the tree grid view
- Select the node '1' and press the delete toolbar button.
- Check that the node '1' is still shown in the grid. This is wrong
- Refresh the grid. The record is no longer shown.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00263833.0PR14Q4 closedinigosanchez If the delete toolbar button is pushed in the tree grid view, the deleted record is the one selected in the standard grid view. 
causes defect 00302223.0PR15Q3 closedinigosanchez Delete popup is not hidden if two or more rows are deleted at the same time 

-  Notes
(0069981)
hgbot (developer)
2014-09-05 13:18

Repository: erp/devel/pi
Changeset: dc8d0777f38d8678aef43fd4044d8801a56f39d8
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Fri Sep 05 13:13:35 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dc8d0777f38d8678aef43fd4044d8801a56f39d8 [^]

Fixes 26384:The tree grid view is not refreshed after deleting a record

It has been solved. Now, it refreshed properly the tree grid view after deleting a record.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0070026)
AugustoMauch (developer)
2014-09-08 18:35

Code reviewed and verified in pi@4e439ac1ded2

- Issue History
Date Modified Username Field Change
2014-04-25 11:17 AugustoMauch New Issue
2014-04-25 11:17 AugustoMauch Assigned To => AugustoMauch
2014-04-25 11:17 AugustoMauch Modules => Core
2014-04-25 11:17 AugustoMauch Triggers an Emergency Pack => No
2014-04-25 11:18 AugustoMauch Relationship added depends on 0026383
2014-04-25 11:43 AugustoMauch Steps to Reproduce Updated View Revisions
2014-06-20 12:35 alostale Target Version => PR14Q4
2014-09-04 11:30 inigosanchez Assigned To AugustoMauch => inigosanchez
2014-09-05 13:16 inigosanchez Review Assigned To => AugustoMauch
2014-09-05 13:18 hgbot Checkin
2014-09-05 13:18 hgbot Note Added: 0069981
2014-09-05 13:18 hgbot Status new => resolved
2014-09-05 13:18 hgbot Resolution open => fixed
2014-09-05 13:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dc8d0777f38d8678aef43fd4044d8801a56f39d8 [^]
2014-09-08 18:35 AugustoMauch Note Added: 0070026
2014-09-08 18:35 AugustoMauch Status resolved => closed
2014-09-08 18:35 AugustoMauch Fixed in Version => 3.0PR14Q4
2015-06-22 13:08 AugustoMauch Relationship added causes 0030222


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker